package com.jjt.push.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.push.mapper.PushConfigMapper;
import com.jjt.push.domain.PushConfig;
import com.jjt.push.service.IPushConfigService;
import javax.annotation.Resource;

/**
 * 推送配置Service业务层处理
 *
 * @author jjt
 * @date 2024-10-08
 */
@Service
public class PushConfigServiceImpl implements IPushConfigService {
    @Resource
    private PushConfigMapper pushConfigMapper;

    /**
     * 查询推送配置
     *
     * @param pcId 推送配置主键
     * @return 推送配置
     */
    @Override
    public PushConfig selectPushConfigByPcId(Long pcId) {
        return pushConfigMapper.selectPushConfigByPcId(pcId);
    }

    /**
     * 查询推送配置列表
     *
     * @param pushConfig 推送配置
     * @return 推送配置
     */
    @Override
    public List<PushConfig> selectPushConfigList(PushConfig pushConfig) {
        return pushConfigMapper.selectPushConfigList(pushConfig);
    }

    /**
     * 新增推送配置
     *
     * @param pushConfig 推送配置
     * @return 结果
     */
    @Override
    public int insertPushConfig(PushConfig pushConfig) {
            return pushConfigMapper.insertPushConfig(pushConfig);
    }

    /**
     * 修改推送配置
     *
     * @param pushConfig 推送配置
     * @return 结果
     */
    @Override
    public int updatePushConfig(PushConfig pushConfig) {
        return pushConfigMapper.updatePushConfig(pushConfig);
    }

    /**
     * 批量删除推送配置
     *
     * @param pcIds 需要删除的推送配置主键
     * @return 结果
     */
    @Override
    public int deletePushConfigByPcIds(Long[] pcIds) {
        return pushConfigMapper.deletePushConfigByPcIds(pcIds);
    }

    /**
     * 删除推送配置信息
     *
     * @param pcId 推送配置主键
     * @return 结果
     */
    @Override
    public int deletePushConfigByPcId(Long pcId) {
        return pushConfigMapper.deletePushConfigByPcId(pcId);
    }
}
